Package com.io7m.idstore.protocol.admin.cb

# Interface ProtocolIdA1v1Type

All Superinterfaces:
  `com.io7m.cedarbridge.runtime.api.CBProtocolMessageType`, `com.io7m.cedarbridge.runtime.api.CBSerializableType`, `ProtocolIdA1Type`

All Known Implementing Classes:
  `IdA1CommandAdminBanCreate`, `IdA1CommandAdminBanDelete`, `IdA1CommandAdminBanGet`, `IdA1CommandAdminCreate`, `IdA1CommandAdminDelete`, `IdA1CommandAdminEmailAdd`, `IdA1CommandAdminEmailRemove`, `IdA1CommandAdminGet`, `IdA1CommandAdminGetByEmail`, `IdA1CommandAdminPermissionGrant`, `IdA1CommandAdminPermissionRevoke`, `IdA1CommandAdminSearchBegin`, `IdA1CommandAdminSearchByEmailBegin`, `IdA1CommandAdminSearchByEmailNext`, `IdA1CommandAdminSearchByEmailPrevious`, `IdA1CommandAdminSearchNext`, `IdA1CommandAdminSearchPrevious`, `IdA1CommandAdminSelf`, `IdA1CommandAdminUpdateCredentials`, `IdA1CommandAuditSearchBegin`, `IdA1CommandAuditSearchNext`, `IdA1CommandAuditSearchPrevious`, `IdA1CommandLogin`, `IdA1CommandUserBanCreate`, `IdA1CommandUserBanDelete`, `IdA1CommandUserBanGet`, `IdA1CommandUserCreate`, `IdA1CommandUserDelete`, `IdA1CommandUserEmailAdd`, `IdA1CommandUserEmailRemove`, `IdA1CommandUserGet`, `IdA1CommandUserGetByEmail`, `IdA1CommandUserLoginHistory`, `IdA1CommandUserSearchBegin`, `IdA1CommandUserSearchByEmailBegin`, `IdA1CommandUserSearchByEmailNext`, `IdA1CommandUserSearchByEmailPrevious`, `IdA1CommandUserSearchNext`, `IdA1CommandUserSearchPrevious`, `IdA1CommandUserUpdateCredentials`, `IdA1ResponseAdminBanCreate`, `IdA1ResponseAdminBanDelete`, `IdA1ResponseAdminBanGet`, `IdA1ResponseAdminCreate`, `IdA1ResponseAdminDelete`, `IdA1ResponseAdminGet`, `IdA1ResponseAdminSearchBegin`, `IdA1ResponseAdminSearchByEmailBegin`, `IdA1ResponseAdminSearchByEmailNext`, `IdA1ResponseAdminSearchByEmailPrevious`, `IdA1ResponseAdminSearchNext`, `IdA1ResponseAdminSearchPrevious`, `IdA1ResponseAdminSelf`, `IdA1ResponseAdminUpdate`, `IdA1ResponseAuditSearchBegin`, `IdA1ResponseAuditSearchNext`, `IdA1ResponseAuditSearchPrevious`, `IdA1ResponseError`, `IdA1ResponseLogin`, `IdA1ResponseUserBanCreate`, `IdA1ResponseUserBanDelete`, `IdA1ResponseUserBanGet`, `IdA1ResponseUserCreate`, `IdA1ResponseUserDelete`, `IdA1ResponseUserGet`, `IdA1ResponseUserLoginHistory`, `IdA1ResponseUserSearchBegin`, `IdA1ResponseUserSearchByEmailBegin`, `IdA1ResponseUserSearchByEmailNext`, `IdA1ResponseUserSearchByEmailPrevious`, `IdA1ResponseUserSearchNext`, `IdA1ResponseUserSearchPrevious`, `IdA1ResponseUserUpdate`

public sealed interface ProtocolIdA1v1Type extends ProtocolIdA1Type permits IdA1CommandAdminBanCreate, IdA1CommandAdminBanDelete, IdA1CommandAdminBanGet, IdA1CommandAdminCreate, IdA1CommandAdminDelete, IdA1CommandAdminEmailAdd, IdA1CommandAdminEmailRemove, IdA1CommandAdminGet, IdA1CommandAdminGetByEmail, IdA1CommandAdminPermissionGrant, IdA1CommandAdminPermissionRevoke, IdA1CommandAdminSearchBegin, IdA1CommandAdminSearchByEmailBegin, IdA1CommandAdminSearchByEmailNext, IdA1CommandAdminSearchByEmailPrevious, IdA1CommandAdminSearchNext, IdA1CommandAdminSearchPrevious, IdA1CommandAdminSelf, IdA1CommandAdminUpdateCredentials, IdA1CommandAuditSearchBegin, IdA1CommandAuditSearchNext, IdA1CommandAuditSearchPrevious, IdA1CommandLogin, IdA1CommandUserBanCreate, IdA1CommandUserBanDelete, IdA1CommandUserBanGet, IdA1CommandUserCreate, IdA1CommandUserDelete, IdA1CommandUserEmailAdd, IdA1CommandUserEmailRemove, IdA1CommandUserGet, IdA1CommandUserGetByEmail, IdA1CommandUserLoginHistory, IdA1CommandUserSearchBegin, IdA1CommandUserSearchByEmailBegin, IdA1CommandUserSearchByEmailNext, IdA1CommandUserSearchByEmailPrevious, IdA1CommandUserSearchNext, IdA1CommandUserSearchPrevious, IdA1CommandUserUpdateCredentials, IdA1ResponseAdminBanCreate, IdA1ResponseAdminBanDelete, IdA1ResponseAdminBanGet, IdA1ResponseAdminCreate, IdA1ResponseAdminDelete, IdA1ResponseAdminGet, IdA1ResponseAdminSearchBegin, IdA1ResponseAdminSearchByEmailBegin, IdA1ResponseAdminSearchByEmailNext, IdA1ResponseAdminSearchByEmailPrevious, IdA1ResponseAdminSearchNext, IdA1ResponseAdminSearchPrevious, IdA1ResponseAdminSelf, IdA1ResponseAdminUpdate, IdA1ResponseAuditSearchBegin, IdA1ResponseAuditSearchNext, IdA1ResponseAuditSearchPrevious, IdA1ResponseError, IdA1ResponseLogin, IdA1ResponseUserBanCreate, IdA1ResponseUserBanDelete, IdA1ResponseUserBanGet, IdA1ResponseUserCreate, IdA1ResponseUserDelete, IdA1ResponseUserGet, IdA1ResponseUserLoginHistory, IdA1ResponseUserSearchBegin, IdA1ResponseUserSearchByEmailBegin, IdA1ResponseUserSearchByEmailNext, IdA1ResponseUserSearchByEmailPrevious, IdA1ResponseUserSearchNext, IdA1ResponseUserSearchPrevious, IdA1ResponseUserUpdate
Protocol `com.io7m.idstore.protocol.admin.cb.IdA1`, version `1`.

- ## Method Summary

  Static Methods
  Modifier and Type
  Method
  Description
  `static ProtocolIdA1v1Type`
  `deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context)`
  Deserialize a value of type ProtocolIdA1v1Type.
  `static void`
  `serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, ProtocolIdA1v1Type $x)`
  Serialize a value of type ProtocolIdA1v1Type.

- ## Method Details

  - ### serialize

    static void serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, ProtocolIdA1v1Type $x) throws IOException
    Serialize a value of type ProtocolIdA1v1Type.
    Parameters:
      `$context` - The serialization context.
      `$x` - The value to be serialized.
    Throws:
      `IOException`

  - ### deserialize

    static ProtocolIdA1v1Type deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context) throws IOException
    Deserialize a value of type ProtocolIdA1v1Type.
    Parameters:
      `$context` - The serialization context.
    Returns:
      A value of type ProtocolIdA1v1Type.
    Throws:
      `IOException`